/**
 * Created by rockyl on 2019-12-05.
 */

declare function plusShare(params, callback);

if(props.update || args.env !== 'eversunshine'){
	next('pass');
}else{
	const {title, content, url, thumbnail} = args;

	let params = {
		title: title,
		content: content,
		href: url,
		thumbs: [thumbnail],
	};

	plusShare(params, (result) => {
		if(!!result){
			next('success');
		}else{
			next('failed');
		}
	});

	next('success');
}
